## wmnut 0.09

=== wmnut/Makefile ===
########################################################################
############################ WMNut Makefile ############################
########################################################################

# NUT installation directory
NUTDIR = /usr/local/ups

# X11 base directory
X11DIR = /usr/X11R6

# WMNut installation directory
DESTDIR= ${X11DIR}/bin

################### END OF USER BASIC DEFINES ##########################

CC     = gcc
#DEBUG  = -DDEBUG -g -Wall 
CFLAGS = -O2 ${DEBUG} 
INCDIR = -I${X11DIR}/include -I${NUTDIR}/misc
LIBDIR = -L${X11DIR}/lib
LIBS   = -lXpm -lX11 -lXext
OBJS   = wmnut.o \
         ../wmgeneral/wmgeneral.o \
	compat.o strlcat.o  strlcpy.o
OBJNUT   = ${NUTDIR}/misc/upsfetch.o
.c.o:
	$(CC) $(CFLAGS) -D$(shell echo `uname -s`) -c $< -o $@ $(INCDIR)

all:	wmnut.o wmnut

wmnut.o: wmnut_master.xpm wmnut_mask.xbm wmnut.h
wmnut: $(OBJS) $(OBJNUT)
	$(CC) $(CFLAGS) $(SYSTEM) -o wmnut $^ $(INCDIR) $(LIBDIR) $(LIBS)

clean:
	for i in $(OBJS) ; do \
		rm -f $$i; \
	done
	rm -f wmnut

install:: wmnut
	install -s -m 0755 wmnut $(DESTDIR)
	install    -m 0644 wmnut.1 ${X11DIR}/man/man1

## wmnut 0.64

=== debian/changelog ===
wmnut (0.64-1.1ubuntu2) xenial; urgency=medium

  * No-change rebuild against libupsclient4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 28 Jan 2016 04:13:55 +0000

wmnut (0.64-1.1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/rules:
      + Build using dh-autoreconf. (Closes: #728002)

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 09 Jan 2015 01:02:30 +0100

wmnut (0.64-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Adjust libupsclient build-dependency (Closes: #730400)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 27 Apr 2014 22:18:00 +0200

wmnut (0.64-1ubuntu1) trusty; urgency=medium

  * Build-depend on libupsclient-dev instead of libupsclient1-dev.
  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Dec 2013 11:01:00 +0100

wmnut (0.64-1) unstable; urgency=low

  * New upstream release (Closes: #586956, #671308, #565751)
  * debian/control:
    - update Standards-Version to 3.9.3
    - update debhelper to 9
    - remove dpatch, autoconf and automake Build-Depends
  * debian/rules:
    - fix Lintian warning debian-rules-missing-recommended-target
    - remove dpatch targets
  * debian/copyright: update GPL-2 reference
  * debian/patches/*: removed
  * debian/source.lintian-overrides: remove, since it's no longer needed
    with format 3.0
  * debian/compat: update to 9
  * debian/source/format: created, for 3.0 (quilt)
  * debian/copyright: update Copyright and download location
  * debian/watch: update URL

 -- Arnaud Quette <aquette@debian.org>  Tue, 05 Jun 2012 18:34:30 +0200

wmnut (0.62-4) unstable; urgency=low

  * debian/control:
    - add a Build-Depends on pkg-config, dpatch, autoconf and automake,
    - bump libupsclient1-dev Build-Depends to >= 2.4.0
    - bump the debhelper Build-Depends to (>= 6.0.7~) for dh_lintian
  * debian/rules:
    - add the needed rules for dpatch application, and call autoreconf to apply
      patches and update outdated-autotools-helper-file
    - add a call to dh_lintian for source.lintian-overrides
  * debian/source.lintian-overrides: added to cope with the lintian warning due
    to the dpatch + autoreconf call (patch-system-but-direct-changes-in-diff)
  * debian/patches/01_configure_use_pkgconfig.dpatch: created to fix the
    configure script not catching the new libupsclient location. The temporary
    fix is to only rely on pkg-config while waiting for a proper upstream fix.
  * debian/patches/02_upsconn_t.dpatch: move to the new NUT client struct name

 -- Arnaud Quette <aquette@debian.org>  Wed, 18 Mar 2009 11:03:55 +0100
 

wmnut (0.62-3) unstable; urgency=low

  * debian/control:
    - update Standards-Version to 3.8.0
    - update the Build-Depends on nut-dev to libupsclient1-dev (Closes:
      #490425)
    - update the Build-Depends on x-dev to x11proto-core-dev

 -- Arnaud Quette <aquette@debian.org>  Sun, 13 Jul 2008 14:36:05 +0200

wmnut (0.62-2) unstable; urgency=low

  * debian/control:
    - update Build-Depends for nut to 2.2.1 (Closes: #443003)
    - update Standards-Version to 3.7.3
    - move the Homepage from Description to the official field and update it
  * debian/watch: update to URL (Closes: #449946)
  * debian/rules:
    - fix debian-rules-ignores-make-clean-error
    - remove DH_COMPAT
  * debian/compat: created to complete the above fix

 -- Arnaud Quette <aquette@debian.org>  Thu, 24 Jan 2008 15:15:44 +0100

wmnut (0.62-1) unstable; urgency=low

  * New upstream release
  * Remove the libxi-dev build-depends as the XBell() calls have been disabled
    upstream. Recall the ignored bug close (closes: #346981)

 -- Arnaud Quette <aquette@debian.org>  Fri, 13 Jan 2006 14:54:13 +0100

wmnut (0.61-2) unstable; urgency=low

  * debian/control:
    - update build-depends for Xorg transition, and add libxi-dev for
    the XBell calls (closes: #346981)
    - update standard version to fix a lintian warning
    - update debhelper build-depends to >= 5.0.0
  * debian/rules: upgrade DH_COMPAT to 5

 -- Arnaud Quette <aquette@debian.org>  Mon,  9 Jan 2006 10:00:01 +0200

wmnut (0.61-1) unstable; urgency=low

  * New upstream release (closes: #291225)
  * debian/control: update Build-Depends for nut (2.0.1 release)

 -- Arnaud Quette <aquette@debian.org>  Mon, 14 Mar 2005 12:53:47 +0100

wmnut (0.60-4) unstable; urgency=low

  * debian/control: change Build-Depends from nut to nut-dev (closes:
    Bug#271120)
  * debian/watch: update 
    - to new format,
    - URL/Homepage and
    - NUT URL
    - Standards-Version
  * debian/copyright: updates and typo fix
  
 -- Arnaud Quette <aquette@debian.org>  Sat, 11 Sep 2004 21:48:22 +0200

wmnut (0.60-3) unstable; urgency=low

  * debian/control: upgrade nut deps to avoid nut {pre,post}inst errors

 -- Arnaud Quette <aquette@debian.org>  Sat, 15 Nov 2003 22:26:20 +0100
 

wmnut (0.60-2) unstable; urgency=low

  * debian/control: upgrade nut deps to have the missing parseconf.h (closes: Bug#220630)
  * debian/control: change a bit main description

 -- Arnaud Quette <aquette@debian.org>  Fri, 14 Nov 2003 17:26:20 +0100

wmnut (0.60-1) unstable; urgency=low

  * New upstream release
      * use the new libupsclient and autodetection for nut-1.4.1-pre3 (closes: Bug#216745)

 -- Arnaud Quette <aquette@debian.org>  Mon, 10 Nov 2003 13:26:20 +0100

wmnut (0.59-1) unstable; urgency=low

  * New upstream release
  * debian/control: changed Arnaud Quette address to the good Debian one
  * debian/control: update required version of nut
  * debian/control: add Homepage to Description

 -- Arnaud Quette <aquette@debian.org>  Sat, 18 Oct 2003 21:48:00 +0200

wmnut (0.58-1) unstable; urgency=low

  * New upstream release

 -- Arnaud Quette <arnaud.quette@free.fr>  Mon, 14 Jul 2003 15:13:21 +0200

wmnut (0.55-1) unstable; urgency=low

  * New upstream release (closes: Bug#182558)

 -- Arnaud Quette <arnaud.quette@free.fr>  Sat, 22 Mar 2003 22:47:44 +0100



=== debian/control ===
Source: wmnut
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Arnaud Quette <aquette@debian.org>
Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, libxpm-dev, x11proto-core-dev, libupsclient-dev (>= 2.4.0), pkg-config, dh-autoreconf
Standards-Version: 3.9.3
Homepage: http://wmnut.mgeops.org/

Package: wmnut
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: WindowMaker dock app that displays UPS statistics from NUT's upsd
 WMNUT monitors UPS statistics through the NUT (Network UPS Tools,
 http://www.networkupstools.org) framework on Linux and other systems. This
 information, presented in a nice visual format, can be invaluable on stations
 using an UPS.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -g
endif
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        INSTALL_PROGRAM += -s
endif

configure-stamp:
	dh_testdir
	dh_autoreconf
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man
	touch configure-stamp

build-arch: build
build-indep: build

build: build-stamp
build-stamp:  configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_autoreconf_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install prefix=$(CURDIR)/debian/wmnut/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installman wmnut/wmnut.1
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_lintian
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts="uversionmangle=s/(([ab]|rc)[0-9])$/~\1/" \
https://github.com/aquette/wmnut/downloads \
/downloads/aquette/wmnut/wmnut-(.*).tar.gz

## wmnut 0.66

=== debian/changelog ===
wmnut (0.66-1) unstable; urgency=low

  * New upstream release
  * debian/rules: add missing dpkg flags
  * debian/control: update Standards-Version to 3.9.8

 -- Arnaud Quette <aquette@debian.org>  Sat, 24 Dec 2016 00:18:40 +0100

wmnut (0.65-1) unstable; urgency=low

  * New upstream release (Closes: #728002)
  * debian/copyright: update to comply to copyright format 1.0
  * debian/control
    - update Standards-Version to 3.9.6
    - update Homepage
    - add Vcs-Browser and Vcs-Git fields
  * debian/watch: update URL
  * debian/rules: general update and simplification
  
 -- Arnaud Quette <aquette@debian.org>  Fri, 23 Dec 2016 22:54:52 +0100

=== debian/control ===
Source: wmnut
Section: x11
Priority: optional
Maintainer: Arnaud Quette <aquette@debian.org>
Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, libxpm-dev, x11proto-core-dev, libupsclient-dev (>= 2.4.0), pkg-config
Standards-Version: 3.9.8
Homepage: http://wmnut.networkupstools.org/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/wmnut.git/
Vcs-Git: git://anonscm.debian.org/collab-maint/wmnut.git

Package: wmnut
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: WindowMaker dock app that displays UPS statistics from NUT's upsd
 WMNUT monitors UPS statistics through the NUT (Network UPS Tools,
 http://www.networkupstools.org) framework on Linux and other systems. This
 information, presented in a nice visual format, can be invaluable on stations
 using an UPS.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/wmnut-$1\.tar\.gz/ \
  https://github.com/aquette/wmnut/tags .*/v?(\d\S+)\.tar\.gz

## wmnut 0.67

=== debian/changelog ===
wmnut (0.67-3) unstable; urgency=medium

  * d/control: bump Standards-Version to 4.6.2
  * d/docs: install README.asciidoc (Closes: #1040572)
  * d/watch: update URL

 -- Jeremy Sowden <jeremy@azazel.net>  Fri, 07 Jul 2023 22:54:56 +0100

wmnut (0.67-2) unstable; urgency=medium

  * d/patches
    - Add patch to add categories and keywords to desktop file.
    - Add patch to move inclusion of config.h.
    - Add patch to correct pointer types passed to upsclient functions.
    - Add patch to rename debug-flag autotools variable.
  * d/control
    - Increase min. version for libupsclient-dev.
    - Bump Standards-Version to 4.6.1.
  * d/copyright
    - Update copyright for packaging.
  * d/gbp.conf
    - dch: set `commit-msg`

 -- Jeremy Sowden <jeremy@azazel.net>  Sun, 28 Aug 2022 19:07:06 +0100

wmnut (0.67-1) unstable; urgency=medium

  * New upstream version 0.67
    + includes all patches from 0.66-3
    + includes fix to clear battery-load 10's column (closes: #1000745)
  * d/copyright: de-dup licence text
  * d/gbp.conf: import-orig, buildpackage: enable pristine-tar
  * d/.gitignore: ignore Emacs artefacts
  * d/patches: remove all upstreamed patches

 -- Jeremy Sowden <jeremy@azazel.net>  Sun, 16 Jan 2022 17:47:33 +0000

wmnut (0.66-3) unstable; urgency=medium

  * debian/control
    - Update Maintainer email address to use tracker.d.o.
    - Add myself to Uploaders.
    - Bump Standards-Version to 4.6.0.
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.
  * debian/upstream/metadata
    - Add DEP-12 upstream metadata file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 30 Oct 2021 10:31:13 -0400

wmnut (0.66-2) unstable; urgency=medium

  [ Arnaud Quette ]
  * debian/control: Orphaning of wmnut, update VCS fields

  [ Jeremy Sowden ]
  * d/gbp.conf: set default branch to debian.
  * d/control:
    - run wrap-and-sort;
    - adopt the package on behalf of the Window Maker packaging team and update
      Maintainer and Uploaders fields appropriately (closes: #964583);
    - bump Standards-Version to 4.5.1;
    - set Rules-Requires-Root to no;
    - update VCS URL's.
  * d/compat, d/control: remove d/compat and replace debhelper build-dep with
    one on debhelper-compat = 13.
  * d/patches:
    - add patch to remove multiple definitions of file-scope variable and fix
      FTBFS with gcc-10 (closes: #957949);
    - add patch to fix seg-fault at start-up if no UPS is available.
  * d/rules: leave debhelper to handle build-flags.
  * d/copyright:
    - use HTTPS URL;
    - add Source and Upstream-Contact fields.
  * d/.gitignore: move .gitignore to debian/ and remove non-Debian files
    from it.
  * d/changelog: remove trailing whitespace.
  * d/patch: add a patch to fix AppStream "metainfo-no-summary" error.

  [ Andreas Metzler ]
  * Use v4 watch file standard.
  * Enable all hardening flags, patch configure.ac [no_override_ldflags.diff]
    to respect LDFLAGS.

 -- Jeremy Sowden <jeremy@azazel.net>  Sun, 27 Dec 2020 15:11:48 +0000

=== debian/control ===
Source: wmnut
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
Uploaders: Jeremy Sowden <jeremy@azazel.net>,
           Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper-compat (= 13),
               libupsclient-dev (>= 2.8.0),
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               pkg-config,
               x11proto-core-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://wmnut.networkupstools.org/
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmnut
Vcs-Git: https://salsa.debian.org/wmaker-team/wmnut.git

Package: wmnut
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: WindowMaker dock app that displays UPS statistics from NUT's upsd
 WMNUT monitors UPS statistics through the NUT (Network UPS Tools,
 http://www.networkupstools.org) framework on Linux and other systems. This
 information, presented in a nice visual format, can be invaluable on stations
 using an UPS.

## wmnut 0.69

=== debian/changelog ===
wmnut (0.69-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:35:05 +1100

wmnut (0.69-1build1) noble; urgency=high

  * No change rebuild against libupsclient6t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:59:44 +0100

wmnut (0.69-1) unstable; urgency=medium

  * New upstream version 0.69
    + includes all patches from 0.67-3
    + documentation updates
  * d/control: update home-page
  * d/patches: remove upstreamed patches

 -- Jeremy Sowden <jeremy@azazel.net>  Sun, 03 Sep 2023 23:11:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wmnut
 Section: x11
 Priority: optional
-Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
 Uploaders: Jeremy Sowden <jeremy@azazel.net>,
            Doug Torrance <dtorrance@piedmont.edu>
 Build-Depends: debhelper-compat (= 13),
@@ -13,7 +14,7 @@
                x11proto-core-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: http://wmnut.networkupstools.org/
+Homepage: https://github.com/networkupstools/wmnut
 Vcs-Browser: https://salsa.debian.org/wmaker-team/wmnut
 Vcs-Git: https://salsa.debian.org/wmaker-team/wmnut.git

## wmnut 0.70

=== debian/changelog ===
wmnut (0.70-2) unstable; urgency=medium

  * d/patches
    - add patch to rename `bool` structure member (Closes: #1098108)
  * d/control
    - bump Standards-Version to 4.7.2

 -- Jeremy Sowden <azazel@debian.org>  Thu, 13 Mar 2025 17:49:52 +0000

wmnut (0.70-1) unstable; urgency=medium

  * New upstream version 0.70
  * d/gbp.conf
    - define `pristine-tar` once
    - update `debian-branch`
  * d/control
    - bump Standards-Version to 4.7.0
    - update Doug's and my e-mail addresses
    - update pkg-config dependency to pkgconf
  * d/copyright
    - update details of upstream maintainer
    - update my e-mail address
  * d/rules
    - support `terse` build-option
  * d/docs
    - add images included by README.asciidoc

 -- Jeremy Sowden <azazel@debian.org>  Sat, 26 Oct 2024 14:28:27 +0100

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export DH_VERBOSE = 1
configure_opts = --disable-silent-rules
else
configure_opts = --enable-silent-rules
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(configure_opts)

## wmnut 0.71

=== debian/changelog ===
wmnut (0.71-1) unstable; urgency=medium

  * New upstream version 0.71
  * d/patches
    - remove upstreamed patch
    - add patch to fix compiler flags
  * d/copyright
    - update Jim Klimov & add Desert Witch
    - update the text of the GPL
  * d/u/metadata
    - update github URL's

 -- Jeremy Sowden <azazel@debian.org>  Mon, 01 Sep 2025 21:22:35 +0100

## wmnut 0.72

=== debian/changelog ===
wmnut (0.72-1) unstable; urgency=medium

  * New upstream version 0.72
  * d/patches
    - remove upstream patch

 -- Jeremy Sowden <azazel@debian.org>  Thu, 11 Sep 2025 22:33:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: wmnut
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
-Uploaders: Jeremy Sowden <jeremy@azazel.net>,
-           Doug Torrance <dtorrance@piedmont.edu>
+Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
+Uploaders: Jeremy Sowden <azazel@debian.org>,
+           Doug Torrance <dtorrance@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libupsclient-dev (>= 2.8.0),
                libx11-dev,
                libxext-dev,
                libxpm-dev,
-               pkg-config,
+               pkgconf,
                x11proto-core-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/networkupstools/wmnut
 Vcs-Browser: https://salsa.debian.org/wmaker-team/wmnut

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/wmnut-$1\.tar\.gz/ \
  https://github.com/networkupstools/wmnut/tags .*/v?(\d\S+)\.tar\.gz
